#include "MAsignatura.h"

namespace MAsignatura
{

   TNatural Codigo(TAsignatura a)
   {
       return a.codigo;
   }     
   
   TNatural Curso(TAsignatura a)
   {
       return a.curso;
   }     
   
   string Titulacion(TAsignatura a)
   {
       return a.titulacion;
   }     
   
   TNatural Matriculados(TAsignatura a)
   {
       return a.matriculados;
   }     
   
   void Matricula(TAsignatura &a, TNatural num, TError &error )
   {
       if (a.matriculados+num<=MAX_ALUM)
       {
           error = NoError;
           a.matriculados+=num;                                   
       }
       else
       {
           error = AsignaturaLlena;
       }
   }     
   
   void LeeAsignatura(TAsignatura &a)
   {
       cout << "Cdigo: ";
       cin >> a.codigo;
       cin.ignore();
       cout << "Titulacin: ";
       getline(cin,a.titulacion,ENTER);
       cout << "Curso: ";
       cin >> a.curso;
       cin.ignore();
       a.matriculados=0;
   }

   void EscribeAsignatura(TAsignatura a)
   {
       cout << "Cdigo: " <<  a.codigo << endl;
       cout << "Titulacin: " << a.titulacion << endl;
       cout << "Curso: " <<  a.curso << endl;
       cout << "Nmero de alumnos matriculados: " <<  a.matriculados << endl;       
   }

   void LeeAsignaturaFichero(ifstream &fich, TAsignatura &a)
   {
       fich >> a.codigo;
       fich.ignore();
       fich >> a.curso;
       fich.ignore();
       fich >> a.matriculados;
       fich.ignore();
       getline(fich,a.titulacion,ENTER);
   }

   void EscribeAsignaturaFichero(ofstream &fich, TAsignatura a)
   {
       fich << a.codigo << SP 
            << a.curso << SP
            << a.matriculados << SP
            << a.titulacion << endl ; 
   }

}
