#ifndef _MLista_h_
#define _MLista_h_

#include <iostream>
#include <cstdlib>
#include "MError.h"
#include "MAsignatura.h"

using namespace std;
using namespace MError;
using namespace MAsignatura;

namespace MLista
{ 
    
    typedef struct TNodo *TLista;
    
    struct TNodo
    {
        TAsignatura asignatura;
        TLista sig;
    };
    
    TLista CrearLista();
    bool ListaVacia(TLista l);
    bool ListaLlena(TLista l);
    void InsertarLista(TLista &l, TAsignatura a, TError &error);
    void MostrarLista(TLista l);
    void SacarPrimeroLista(TLista &l, TAsignatura &a, TError &error);
    void EliminarLista(TLista &l, TNatural codigo, TError &error);
    void DestruirLista(TLista &l);
}

#endif
